aboutsummaryrefslogtreecommitdiff
path: root/audio/libamrnb
diff options
context:
space:
mode:
authorAlejandro Pulver <alepulver@FreeBSD.org>2007-09-27 20:59:14 +0000
committerAlejandro Pulver <alepulver@FreeBSD.org>2007-09-27 20:59:14 +0000
commit75e12ed4b906822e14ccfa2348bb20b17a615ba5 (patch)
treecc3ff4e4cc1615a7c5c75b8cfe5b3d38049aaeab /audio/libamrnb
parent72ea644b7ee707830bd200feb74ba66befad0ff7 (diff)
downloadports-75e12ed4b906822e14ccfa2348bb20b17a615ba5.tar.gz
ports-75e12ed4b906822e14ccfa2348bb20b17a615ba5.zip
- Update libamrnb to version 7.0.0.0.
- Update libamrwb to version 7.0.0.2. PR: ports/115819 Submitted by: Tatsuki Makino <tatsuki_makino@hotmail.com> (maintainer)
Notes
Notes: svn path=/head/; revision=200212
Diffstat (limited to 'audio/libamrnb')
-rw-r--r--audio/libamrnb/Makefile27
-rw-r--r--audio/libamrnb/distinfo12
-rw-r--r--audio/libamrnb/files/patch-Makefile.in24
-rw-r--r--audio/libamrnb/files/patch-configure15
-rw-r--r--audio/libamrnb/files/patch-prepare_sources.sh31
-rw-r--r--audio/libamrnb/pkg-plist16
6 files changed, 25 insertions, 100 deletions
diff --git a/audio/libamrnb/Makefile b/audio/libamrnb/Makefile
index 59c3f46ccbf6..1b7b74ebb341 100644
--- a/audio/libamrnb/Makefile
+++ b/audio/libamrnb/Makefile
@@ -6,8 +6,7 @@
#
PORTNAME= libamrnb
-PORTVERSION= 6.1.0.4
-PORTREVISION= 1
+PORTVERSION= 7.0.0.0
PORTEPOCH= 1
CATEGORIES= audio
MASTER_SITES= http://ftp.penguin.cz/pub/users/utx/amr/ \
@@ -21,33 +20,29 @@ COMMENT= 3GPP floating-point Adaptive Multi-Rate (AMR) Speech Codec
BUILD_DEPENDS= ${UNZIP_CMD}:${PORTSDIR}/archivers/unzip
-SRC3GPP= 26104-610.zip
-
+RESTRICTED= license prohibits redistribution
+RESTRICTED_FILES= ${SRC3GPP}
USE_BZIP2= yes
USE_GMAKE= yes
USE_AUTOTOOLS= libtool:15
-GNU_CONFIGURE= yes
-CONFIGURE_ENV+= LANG=C
-USE_LDCONFIG= yes
-RESTRICTED= license prohibits redistribution
-RESTRICTED_FILES= ${SRC3GPP}
PORTDOCS= AUTHORS COPYING ChangeLog NEWS README TODO readme.txt
SUB_FILES= pkg-message
+GNU_CONFIGURE= yes
+CONFIGURE_ENV+= LANG=C
MAKE_ENV= LANG=C
+USE_LDCONFIG= yes
+
+SRC3GPP= 26104-700.zip
post-extract:
- @${CP} ${DISTDIR}/${SRC3GPP} ${WRKSRC}
+ @${CP} ${DISTDIR}/${SRC3GPP} ${WRKSRC}/
post-install:
.ifndef(NOPORTDOCS)
- @${ECHO} -n Install documents:
- @${MKDIR} ${DOCSDIR}
+ ${MKDIR} ${DOCSDIR}
. for FILE in ${PORTDOCS}
- @${INSTALL_DATA} ${WRKSRC}/${FILE} ${DOCSDIR}
- @${ECHO} -n " ${FILE}"
+ ${INSTALL_DATA} ${WRKSRC}/${FILE} ${DOCSDIR}
. endfor
- @${ECHO} .
- @${ECHO}
.endif
@${CAT} ${PKGMESSAGE}
diff --git a/audio/libamrnb/distinfo b/audio/libamrnb/distinfo
index 59e48155716b..752ee218bc85 100644
--- a/audio/libamrnb/distinfo
+++ b/audio/libamrnb/distinfo
@@ -1,6 +1,6 @@
-MD5 (amrnb-6.1.0.4.tar.bz2) = f482cdd0584469ba23ff33c6b331acbd
-SHA256 (amrnb-6.1.0.4.tar.bz2) = 6f2df7089205cd6127d434e8ec8fac4cccc163d4df5ec4437211c884fbd9fe75
-SIZE (amrnb-6.1.0.4.tar.bz2) = 224932
-MD5 (26104-610.zip) = cfd9012bff83afdf5ad069b86d3063b6
-SHA256 (26104-610.zip) = 8dc9453f9b93202247b4800a1d946ae6eaa3b9d0c48237ae8848144feb88399e
-SIZE (26104-610.zip) = 292640
+MD5 (amrnb-7.0.0.0.tar.bz2) = c89d657b75c936a061a8eaf12decadf8
+SHA256 (amrnb-7.0.0.0.tar.bz2) = 6a54f9e33a5db0b70a8bf3661ccb3aa63d230f57d629dc1bb59d1d4d92306ea7
+SIZE (amrnb-7.0.0.0.tar.bz2) = 226952
+MD5 (26104-700.zip) = e8cedb8d502294ab7833ced0b407d238
+SHA256 (26104-700.zip) = d17e4e65b6f8138ff6243f194cefa6f2b39450075cdb2e9bb431e2dc5a43f541
+SIZE (26104-700.zip) = 303856
diff --git a/audio/libamrnb/files/patch-Makefile.in b/audio/libamrnb/files/patch-Makefile.in
deleted file mode 100644
index 230e40eee64c..000000000000
--- a/audio/libamrnb/files/patch-Makefile.in
+++ /dev/null
@@ -1,24 +0,0 @@
---- Makefile.in.orig Sat May 26 04:34:54 2007
-+++ Makefile.in Sun Jul 15 00:48:06 2007
-@@ -250,7 +250,7 @@
- sysconfdir = @sysconfdir@
- target_alias = @target_alias@
- EXTRA_DIST = amrnb-any-cflags.patch amrnb-intsizes.patch amrnb-strict-aliasing.patch prepare_sources.sh amrnb.spec
--DISTCLEANFILES = 26104-610.zip 26104-610.doc 26104-610_ANSI_C_source_code.zip
-+DISTCLEANFILES = 26104-610.doc 26104-610_ANSI_C_source_code.zip
- lib_LTLIBRARIES = \
- libamrnb.la
-
-@@ -922,10 +922,10 @@
- chmod og-w 26104-610.doc
-
- 26104-610.zip:
-- $(WGET) -N http://www.3gpp.org/ftp/Specs/archive/26_series/26.104/26104-610.zip
-+ test -e 26104-610.zip
-
- extraclean:
-- rm -f $(distdir)/*.c $(distdir)/*.h $(distdir)/readme.txt $(distdir)/26104-610.zip $(distdir)/26104-610.doc $(distdir)/26104-610_ANSI_C_source_code.zip
-+ rm -f $(distdir)/*.c $(distdir)/*.h $(distdir)/readme.txt $(distdir)/26104-610.doc $(distdir)/26104-610_ANSI_C_source_code.zip
-
- # WARNING: These commands use internal automake command and may fail in future version.
- extradist-gzip: distdir extraclean
diff --git a/audio/libamrnb/files/patch-configure b/audio/libamrnb/files/patch-configure
deleted file mode 100644
index 4e6b0385f3e1..000000000000
--- a/audio/libamrnb/files/patch-configure
+++ /dev/null
@@ -1,15 +0,0 @@
---- configure.orig Fri Jun 22 12:43:20 2007
-+++ configure Fri Jun 22 12:43:24 2007
-@@ -20338,12 +20338,6 @@
- fi
-
-
--if test x"$WGET" = x -a ! "(" -f "26104-610.zip" -o -f "sp_enc.c" ")" ; then
-- { { echo "$as_me:$LINENO: error: You need wget utility to download sources." >&5
--echo "$as_me: error: You need wget utility to download sources." >&2;}
-- { (exit 1); exit 1; }; }
--fi
--
- # Checks for libraries.
- { echo "$as_me:$LINENO: checking for library containing sqrt" >&5
- echo $ECHO_N "checking for library containing sqrt... $ECHO_C" >&6; }
diff --git a/audio/libamrnb/files/patch-prepare_sources.sh b/audio/libamrnb/files/patch-prepare_sources.sh
deleted file mode 100644
index cab31005100f..000000000000
--- a/audio/libamrnb/files/patch-prepare_sources.sh
+++ /dev/null
@@ -1,31 +0,0 @@
---- prepare_sources.sh.orig Wed Jun 6 23:52:12 2007
-+++ prepare_sources.sh Sat Jul 14 23:35:53 2007
-@@ -1,10 +1,10 @@
--#! /bin/bash
-+#! /bin/sh
-
- set -o errexit
--trap "rm -rf c-code *.c *.h readme.txt *.new *.def *.all" ERR
-+trap "rm -rf c-code *.c *.h readme.txt *.new *.def *.all" 0
-
- if [ "$0" = prepare_sources.sh ] ; then
-- cd "$(if ! which 2>/dev/null prepare_sources.sh ; then echo . fi )"
-+ cd "$(if ! which 2>/dev/null prepare_sources.sh ; then echo . ; fi )"
- else
- cd "${0%/*}"
- fi
-@@ -23,7 +23,7 @@
- patch <amrnb-strict-aliasing.patch
- patch <amrnb-any-cflags.patch
-
--for FILE in interf_{dec,enc}.{c,h} ; do
-+for FILE in interf_dec.[ch] interf_enc.[ch] ; do
- echo "modifying file $FILE"
- if test $FILE = ${FILE%.h} ; then
- ENDSTRING="^}"
-@@ -100,3 +100,5 @@
- rm $FILE.def $FILE.all
- done
- done
-+
-+trap 0
diff --git a/audio/libamrnb/pkg-plist b/audio/libamrnb/pkg-plist
index c6ee8238068d..91a02d0b1154 100644
--- a/audio/libamrnb/pkg-plist
+++ b/audio/libamrnb/pkg-plist
@@ -1,12 +1,12 @@
bin/amrnb-decoder
-bin/amrnb-encoder
-bin/amrnb-decoder-if2
-bin/amrnb-encoder-if2
bin/amrnb-decoder-etsi
+bin/amrnb-decoder-if2
+bin/amrnb-encoder
bin/amrnb-encoder-etsi
-bin/amrnb-encoder-vad2
-bin/amrnb-encoder-if2-vad2
bin/amrnb-encoder-etsi-vad2
+bin/amrnb-encoder-if2
+bin/amrnb-encoder-if2-vad2
+bin/amrnb-encoder-vad2
include/amrnb/interf_dec.h
include/amrnb/interf_enc.h
include/amrnb/interf_rom.h
@@ -15,8 +15,8 @@ include/amrnb/rom_enc.h
include/amrnb/sp_dec.h
include/amrnb/sp_enc.h
include/amrnb/typedef.h
-lib/libamrnb.so.2
-lib/libamrnb.so
-lib/libamrnb.la
lib/libamrnb.a
+lib/libamrnb.la
+lib/libamrnb.so
+lib/libamrnb.so.3
@dirrm include/amrnb